## libvirt 11.9.0

=== debian/changelog ===
libvirt (11.9.0-2devuan1) unstable; urgency=medium

  * Merge libvirt Debian release 11.9.0-2

 -- Andreas Messer <andi@bastelmap.de>  Wed, 12 Nov 2025 20:28:20 +0100

libvirt (11.9.0-2) unstable; urgency=medium

  * [2b22a1b] daemon-plugin-sanlock: Always install augeas config
    - Fixes FTBFS on architectures that don't enable the QEMU driver

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 06 Nov 2025 21:37:35 +0100

libvirt (11.9.0-1) unstable; urgency=medium

  * [a76d51f] New upstream version 11.9.0

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 04 Nov 2025 00:49:02 +0100

libvirt (11.3.0-1devuan1) unstable; urgency=medium

  * Merge libvirt Debian release 11.3.0-1

 -- Andreas Messer <andi@bastelmap.de>  Sat, 31 May 2025 11:54:43 +0200

libvirt (11.2.0-2devuan1) unstable; urgency=medium

  * Merge libvirt Debian release 11.2.0-2

 -- Andreas Messer <andi@bastelmap.de>  Mon, 21 Apr 2025 19:24:47 +0200

libvirt (11.1.0-1devuan1) unstable; urgency=medium

  * Merge libvirt Debian release 11.1.0-1

 -- Andreas Messer <andi@bastelmap.de>  Fri, 21 Mar 2025 12:28:02 +0100

libvirt (11.0.0-2devuan1) unstable; urgency=medium

  * Merge libvirt Debian release 11.0.0-2

 -- Andreas Messer <andi@bastelmap.de>  Thu, 13 Feb 2025 19:19:45 +0100

libvirt (11.0.0-1devuan1) unstable; urgency=medium

  * Merge libvirt Debian release 10.10.0-4 and 11.0.0-1

 -- Andreas Messer <andi@bastelmap.de>  Sun, 19 Jan 2025 16:47:51 +0100

libvirt (10.10.0-3devuan1) unstable; urgency=medium

  * Merge libvirt Debian release 10.10.0-3

 -- Andreas Messer <andi@bastelmap.de>  Sun, 22 Dec 2024 13:35:57 +0100

libvirt (10.10.0-1devuan1) unstable; urgency=medium

  * Merge Debian release 10.9.0-2 and 10.10.0-1 

 -- Andreas Messer <andi@bastelmap.de>  Fri, 06 Dec 2024 13:01:35 +0100

libvirt (10.9.0-1devuan2) unstable; urgency=medium

  * skip smoke-lxc test if not installable

 -- Andreas Messer <andi@bastelmap.de>  Wed, 13 Nov 2024 19:24:50 +0100

libvirt (10.9.0-1devuan1) unstable; urgency=medium

  * Merge Debian release 10.7.0-3
  * Merge Debian release 10.8.0-1
  * Merge Debian release 10.9.0-1
  * d/gbp.conf: enable pristine-tar

 -- Andreas Messer <andi@bastelmap.de>  Wed, 13 Nov 2024 18:19:00 +0100

libvirt (10.7.0-2devuan1) unstable; urgency=medium

  * Merge recent debian versions

 -- Andreas Messer <andi@bastelmap.de>  Tue, 17 Sep 2024 16:36:24 +0200

libvirt (10.0.0-1devuan1) unstable; urgency=medium

  * Merge Debian release 10.0.0-1

 -- Andreas Messer <andi@bastelmap.de>  Mon, 22 Jan 2024 18:33:51 +0100

libvirt (9.10.0-1devuan1) unstable; urgency=medium

  * Merge recent debian versions

 -- Andreas Messer <andi@bastelmap.de>  Sun, 31 Dec 2023 11:21:43 +0100

libvirt (9.8.0-2devuan1) unstable; urgency=medium

  * Merge recent Debian versions

 -- Andreas Messer <andi@bastelmap.de>  Mon, 23 Oct 2023 19:47:40 +0200

=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Andreas Messer <andi@bastelmap.de>
Uploaders:
 Thierry Bothorel <thierrybothorel@yahoo.fr>
Build-Depends:
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 augeas-tools [linux-any],
 bash-completion,
 libacl1-dev [linux-any],
 libapparmor-dev (>= 3.0.0) [linux-any],
 libattr1-dev [linux-any],
 libaudit-dev [linux-any],
 libblkid-dev [linux-any],
 libbsd-dev,
 libc-dev (>= 2.31-14~),
 libcap-ng-dev [linux-any],
 libcurl4-gnutls-dev [linux-any],
 libdevmapper-dev [linux-any],
 libfuse3-dev [linux-any],
 libglib2.0-dev,
 libglusterfs-dev [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libgnutls28-dev,
 libiscsi-dev [linux-any],
 libjson-c-dev [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnuma-dev [linux-any],
 libparted-dev [linux-any],
 libpcap0.8-dev [linux-any],
 libpciaccess-dev [linux-any],
 librados-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 librbd-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libreadline-dev,
 libsanlock-dev [linux-any],
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libssh-dev,
 libssh2-1-dev,
 libtasn1-6-dev,
 libtirpc-dev,
 libudev-dev [linux-any],
 libwireshark-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64],
 libxen-dev [amd64 arm64],
 libxml2-dev,
 libxml2-utils,
 meson,
 po-debconf,
 python3-docutils,
 python3:native,
 qemu-utils [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 systemtap-sdt-dev [linux-any],
 xsltproc,
Vcs-Browser: https://git.devuan.org/devuan/libvirt
Vcs-Git: https://git.devuan.org/devuan/libvirt.git
Origin: Devuan
Homepage: https://libvirt.org/
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 libxml2-utils,
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libvirt-clients-qemu (= ${source:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon (= ${binary:Version}) [linux-any],
 libvirt-login-shell (= ${binary:Version}) [linux-any],
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-driver-qemu (<< 6.9.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
Description: virtualization library - clients
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains virsh, a command line tool that can be used to
 control the libvirt daemon, as well as a few additional utilities.
 .
 Note that libvirt is fully network aware, meaning that it's possible to use
 the clients installed on the local machine to control a remote hypervisor
 host.

Package: libvirt-clients-qemu
Section: admin
Architecture: all
Depends:
 libvirt-common (<< ${source:Version}.1~),
 libvirt-common (>= ${source:Version}),
 libvirt0 (<< ${source:Version}.1~),
 libvirt0 (>= ${source:Version}),
 python3-cryptography,
 python3-libvirt,
 python3-lxml,
 python3:any,
 ${misc:Depends},
Description: virtualization library - clients (QEMU specific)
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains a number of clients that are specifically for use with
 the QEMU connection driver, e.g. a proxy for the QMP protocol.

Package: libvirt-daemon
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-common (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libvirt-daemon-driver-interface (= ${binary:Version}),
 libvirt-daemon-driver-network (= ${binary:Version}),
 libvirt-daemon-driver-nodedev (= ${binary:Version}),
 libvirt-daemon-driver-nwfilter (= ${binary:Version}),
 libvirt-daemon-driver-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libvirt-daemon-driver-secret (= ${binary:Version}),
 libvirt-daemon-driver-storage (= ${binary:Version}),
 libvirt-daemon-driver-storage-disk (= ${binary:Version}),
 libvirt-daemon-driver-storage-iscsi (= ${binary:Version}),
 libvirt-daemon-driver-storage-logical (= ${binary:Version}),
 libvirt-daemon-driver-storage-mpath (= ${binary:Version}),
 libvirt-daemon-driver-storage-scsi (= ${binary:Version}),
 libvirt-daemon-lock (= ${binary:Version}),
 libvirt-daemon-plugin-lockd (= ${binary:Version}),
Suggests:
 libvirt-daemon-driver-lxc (= ${binary:Version}) [linux-any],
 libvirt-daemon-driver-storage-gluster (= ${binary:Version}) [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
 libvirt-daemon-driver-storage-rbd (= ${binary:Version}) [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
 libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
 libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64],
 libvirt-daemon-system (= ${binary:Version}),
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-driver-lxc (<< 6.9.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
 libvirt-sanlock (<< 6.9.0-2~),
Replaces:
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: virtualization daemon
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the libvirtd daemon, which needs to run on the
 hypervisor host.
 .
 Note that the daemon doesn't do anything useful on its own: connection
 drivers (e.g. libvirt-daemon-driver-qemu) have to be installed to give it
 the ability to create domains using various virtualization technologies,
 while secondary drivers (e.g. libvirt-daemon-driver-network) make it
 capable of managing other related resources.
Homepage: https://libvirt.org/daemons.html#monolithic-driver-daemon

Package: libvirt-daemon-common
Section: admin
Architecture: linux-any
Depends:
 adduser,
 dmidecode [amd64 arm64 armhf i386 riscv64 loong64 x32],
 gettext-base,
 iproute2,
 kmod [linux-any],
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 polkitd (>= 121+compat0.1-2),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 netcat-openbsd,
Suggests:
 apparmor,
 auditd,
 systemtap,
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 10.6.0-2~),
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: virtualization daemon - common files
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains data files needed by the various libvirt daemons.

Package: libvirt-daemon-log
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
 libvirt-daemon-system-sysv (<< 10.6.0-2~),
Description: virtualization daemon - logging daemon
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the virtlogd daemon, which handles logging.
Homepage: https://libvirt.org/daemons.html#logging-daemon

Package: libvirt-daemon-lock
Section: admin
Architecture: linux-any
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system (<< 10.6.0-2~),
Breaks:
 libvirt-daemon (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 10.6.0-2~),
Description: virtualization daemon - locking daemon
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the virtlockd daemon, which handles storage locking.
Homepage: https://libvirt.org/daemons.html#locking-daemon

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Multi-Arch: no
Depends:
 adduser,
 libvirt-common (= ${binary:Version}),
 libvirt-daemon-log (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 qemu-kvm | qemu-system,
 systemd-container | sysvinit-core,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 passt,
 swtpm,
 swtpm-tools,
Suggests:
 numad,
Enhances:
 qemu-kvm,
 qemu-system,
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: virtualization daemon - QEMU connection driver
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .
 This package contains the QEMU connection driver.
Homepage: https://libvirt.org/drvqemu.html

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends:
 libvirt-common (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt-daemon-driver-network (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 logrotate,
 systemd-container | sysvinit-core,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-system (<< 10.6.0-2~),
Description: virtualization daemon - LXC connection driver
 libvirt exposes a long-term stable API that can be used to interact with
 various hypervisors. Its architecture is highly modular, with most features
 implemented as optional drivers. It can be used from C as well as several
 other programming languages, and it forms the basis of virtualization
 solutions tailored for a range of use cases.
 .

=== debian/tests/control ===
Tests:
 smoke,
Depends:
 libvirt-clients,
Restrictions:
 allow-stderr,

Tests:
 smoke-qemu-session,
Depends:
 libvirt-clients,
 libvirt-daemon,
 libxml2-utils,
 qemu-kvm,
 qemu-system,
Restrictions:
 allow-stderr,
 isolation-container,
 skip-not-installable,
 skippable,

Tests:
 smoke-lxc,
Depends:
 libvirt-clients,
 libvirt-daemon-driver-lxc,
 libvirt-daemon-system,
 libxml2-utils,
Restrictions:
 allow-stderr,
 isolation-machine,
 skip-not-installable,
 needs-root,

Tests:
 build-test,
Depends:
 build-essential,
 libvirt-dev,
 pkg-config,
Restrictions:
 allow-stderr,

## libvirt 11.10.0

=== debian/changelog ===
libvirt (11.10.0-2) experimental; urgency=medium

  [ Luca Boccassi ]
  * [5f62c20] Install and use sysusers.d config files
    - Replace existing bespoke handling of user/groups in
      maintainer scripts with a declarative approach. It should
      be completely transparent for users, except for the fact
      that users/groups are no longer deleted on purge, which
      prevents accidental ownership transfer for existing files

  [ Andrea Bolognani ]
  * [7f00f6b] Tweak details for libvirt-qemu user
    - Improve GECOS field and change home directory to /nonexistent.
      This only affects new installations: existing users will not
      be modified

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 08 Dec 2025 23:11:12 +0100

libvirt (11.10.0-1) unstable; urgency=medium

  * [13462ab] New upstream version 11.10.0
    - Perform ACL checks earlier, preventing malicious users
      from potentially being able to crash the daemon
      - Closes: #1120584 (CVE-2025-12748)
    - Ensure that newly-created snapshots are not world-readable
      - Closes: #1120119 (CVE-2025-13193)
    - Apply the detect_zeroes settings across all layers of the
      backing chain instead of just the topmost one
      - Closes: #1121280
  * [5732866] common: Add several CPU models

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 01 Dec 2025 23:25:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Andreas Messer <andi@bastelmap.de>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
- Thierry Bothorel <thierrybothorel@yahoo.fr>
+ Guido Günther <agx@sigxcpu.org>,
+ Andrea Bolognani <eof@kiyuko.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-apparmor [linux-any],
+ dh-sequence-installsysusers,
  augeas-tools [linux-any],
  bash-completion,
  libacl1-dev [linux-any],
@@ -53,9 +55,8 @@
  qemu-utils [amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  systemtap-sdt-dev [linux-any],
  xsltproc,
-Vcs-Browser: https://git.devuan.org/devuan/libvirt
-Vcs-Git: https://git.devuan.org/devuan/libvirt.git
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
+Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
 Homepage: https://libvirt.org/
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
@@ -181,7 +182,6 @@
 Section: admin
 Architecture: linux-any
 Depends:
- adduser,
  dmidecode [amd64 arm64 armhf i386 riscv64 loong64 x32],
  gettext-base,
  iproute2,
@@ -272,7 +272,6 @@
 Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Multi-Arch: no
 Depends:
- adduser,
  libvirt-common (= ${binary:Version}),
  libvirt-daemon-log (= ${binary:Version}),
  libvirt0 (= ${binary:Version}),
@@ -330,5 +329,3 @@
  various hypervisors. Its architecture is highly modular, with most features
  implemented as optional drivers. It can be used from C as well as several
  other programming languages, and it forms the basis of virtualization
- solutions tailored for a range of use cases.
- .

## libvirt 12.0.0

=== meson_options.txt ===
option('no_git', type: 'boolean', value: false, description: 'Disable git submodule update')
option('packager', type: 'string', value: '', description: 'Extra packager name')
option('packager_version', type: 'string', value: '', description: 'Extra packager version')
option('system', type: 'boolean', value: false, description: 'Set install paths to system ones')
option('runstatedir', type: 'string', value: '', description: 'State directory for temporary sockets, pid files, etc')
option('initconfdir', type: 'string', value: '', description: 'directory for init script configuration files')
option('unitdir', type: 'string', value: '', description: 'directory for systemd unit files')
option('sysusersdir', type: 'string', value: '', description: 'directory for sysusers files')
# dep:tests
option('expensive_tests', type: 'feature', value: 'auto', description: 'set the default for enabling expensive tests (long timeouts)')
option('test_coverage', type: 'boolean', value: false, description: 'turn on code coverage instrumentation')
option('git_werror', type: 'feature', value: 'auto', description: 'use -Werror if building from GIT')
option('rpath', type: 'feature', value: 'auto', description: 'whether to include rpath information in installed binaries and libraries')
option('docdir', type: 'string', value: '', description: 'documentation installation directory')
option('docs', type: 'feature', value: 'auto', description: 'whether to generate documentation')
option('tests', type: 'feature', value: 'auto', description: 'whether to build and run tests')


# build dependencies options
option('apparmor', type: 'feature', value: 'auto', description: 'apparmor support')
option('attr', type: 'feature', value: 'auto', description: 'attr support')
option('audit', type: 'feature', value: 'auto', description: 'audit support')
# dep:readline
option('bash_completion', type: 'feature', value: 'auto', description: 'bash-completion support')
option('bash_completion_dir', type: 'string', value: '', description: 'directory containing bash completion scripts')
option('blkid', type: 'feature', value: 'auto', description: 'blkid support')
option('capng', type: 'feature', value: 'auto', description: 'cap-ng support')
option('curl', type: 'feature', value: 'auto', description: 'curl support')
option('fuse', type: 'feature', value: 'auto', description: 'fuse support')
option('glusterfs', type: 'feature', value: 'auto', description: 'glusterfs support')
option('json_c', type: 'feature', value: 'auto', description: 'JSON-C support')
option('libiscsi', type: 'feature', value: 'auto', description: 'libiscsi support')
option('libnl', type: 'feature', value: 'auto', description: 'libnl support')
option('libpcap', type: 'feature', value: 'auto', description: 'libpcap support')
option('libssh', type: 'feature', value: 'auto', description: 'libssh support')
option('libssh2', type: 'feature', value: 'auto', description: 'libssh2 support')
option('netcf', type: 'feature', value: 'auto', description: 'netcf support')
option('nls', type: 'feature', value: 'auto', description: 'nls support')
option('numactl', type: 'feature', value: 'auto', description: 'numactl support')
option('openwsman', type: 'feature', value: 'auto', description: 'openwsman support')
option('pciaccess', type: 'feature', value: 'auto', description: 'pciaccess support')
option('polkit', type: 'feature', value: 'auto', description: 'use PolicyKit for UNIX socket access checks')
option('readline', type: 'feature', value: 'auto', description: 'readline support')
option('sanlock', type: 'feature', value: 'auto', description: 'sanlock support')
option('sasl', type: 'feature', value: 'auto', description: 'sasl support')
option('selinux', type: 'feature', value: 'auto', description: 'selinux support')
option('selinux_mount', type: 'string', value: '', description: 'set SELinux mount point')
option('sshconfdir', type: 'string', value: '', description: 'directory for SSH client configuration')
# dep:pciaccess
option('udev', type: 'feature', value: 'auto', description: 'udev support')
# dep:driver_remote
option('wireshark_dissector', type: 'feature', value: 'auto', description: 'wireshark support')
option('wireshark_plugindir', type: 'string', value: '', description: 'wireshark plugins directory for use when installing wireshark plugin')


# build driver options
option('driver_bhyve', type: 'feature', value: 'auto', description: 'bhyve driver')
# dep:curl
option('driver_esx', type: 'feature', value: 'auto', description: 'esx driver')
# dep:openwsman
option('driver_hyperv', type: 'feature', value: 'auto', description: 'Hyper-V driver')
# dep:pciaccess dep:udev dep:driver_remote dep:driver_libvirtd
option('driver_interface', type: 'feature', value: 'auto', description: 'host interface driver')
# dep:driver_remote
option('driver_libvirtd', type: 'feature', value: 'auto', description: 'libvirtd driver')
# dep:driver_remote dep:driver_libvirtd
option('driver_libxl', type: 'feature', value: 'auto', description: 'libxenlight driver')
# dep:driver_remote dep:driver_libvirtd
option('driver_lxc', type: 'feature', value: 'auto', description: 'Linux Container driver')
# dep:curl dep:json_c dep:driver_remote dep:driver_libvirtd
option('driver_ch', type: 'feature', value: 'auto', description: 'Cloud-Hypervisor driver')
option('ch_user', type: 'string', value: '', description: 'username to run Cloud-Hypervisor system instance as')
option('ch_group', type: 'string', value: '', description: 'groupname to run Cloud-Hypervisor system instance as')
# dep:driver_remote dep:driver_libvirtd
option('driver_network', type: 'feature', value: 'auto', description: 'virtual network driver')
option('driver_openvz', type: 'feature', value: 'auto', description: 'OpenVZ driver')
# dep:json_c dep:driver_remote dep:driver_libvirtd
option('driver_qemu', type: 'feature', value: 'auto', description: 'QEMU/KVM driver')
option('qemu_user', type: 'string', value: '', description: 'username to run QEMU system instance as')
option('qemu_group', type: 'string', value: '', description: 'groupname to run QEMU system instance as')
option('qemu_moddir', type: 'string', value: '', description: 'set the directory where QEMU modules are located')
option('qemu_datadir', type: 'string', value: '', description: 'set the directory where QEMU shared data is located')
option('driver_remote', type: 'feature', value: 'auto', description: 'remote driver')
option('remote_default_mode', type: 'combo', choices: ['legacy', 'direct'], value: 'direct', description: 'remote driver default mode')
option('driver_secrets', type: 'feature', value: 'auto', description: 'local secrets management driver')
option('driver_test', type: 'feature', value: 'auto', description: 'test driver')
option('driver_vbox', type: 'feature', value: 'auto', description: 'VirtualBox XPCOMC driver')
option('vbox_xpcomc_dir', type: 'string', value: '', description: 'Location of directory containing VirtualBox XPCOMC library')
option('driver_vmware', type: 'feature', value: 'auto', description: 'VMware driver')
option('driver_vz', type: 'feature', value: 'auto', description: 'Virtuozzo driver')

option('secdriver_apparmor', type: 'feature', value: 'auto', description: 'use AppArmor security driver')
# dep:secdriver_apparmor
option('apparmor_profiles', type: 'feature', value: 'auto', description: 'install apparmor profiles')
# dep:selinux
option('secdriver_selinux', type: 'feature', value: 'auto', description: 'use SELinux security driver')


# storage driver options
option('storage_dir', type: 'feature', value: 'auto', description: 'directory backend for the storage driver')
option('storage_disk', type: 'feature', value: 'auto', description: 'GPartd Disk backend for the storage driver')
option('storage_fs', type: 'feature', value: 'auto', description: 'FileSystem backend for the storage driver')
option('storage_gluster', type: 'feature', value: 'auto', description: 'Gluster backend for the storage driver')
option('storage_iscsi', type: 'feature', value: 'auto', description: 'iscsi backend for the storage driver')
option('storage_iscsi_direct', type: 'feature', value: 'auto', description: 'iscsi-direct backend for the storage driver')
option('storage_lvm', type: 'feature', value: 'auto', description: 'LVM backend for the storage driver')
option('storage_mpath', type: 'feature', value: 'auto', description: 'mpath backend for the storage driver')
option('storage_rbd', type: 'feature', value: 'auto', description: 'RADOS Block Device backend for the storage driver')
option('storage_scsi', type: 'feature', value: 'auto', description: 'SCSI backend for the storage driver')
option('storage_vstorage', type: 'feature', value: 'auto', description: 'Virtuozzo storage backend for the storage driver')
option('storage_zfs', type: 'feature', value: 'auto', description: 'ZFS backend for the storage driver')


# build feature options
option('chrdev_lock_files', type: 'string', value: '', description: 'location for UUCP style lock files for character devices (leave empty for default paths on some platforms)')
option('dtrace', type: 'feature', value: 'auto', description: 'use dtrace for static probing')
option('firewalld', type: 'feature', value: 'auto', description: 'firewalld support')
# dep:firewalld
option('firewalld_zone', type: 'feature', value: 'auto', description: 'whether to install firewalld libvirt zone')
option('firewall_backend_priority', type: 'array', choices: ['nftables', 'iptables'], value: [], description: 'order in which to try firewall backends')
option('host_validate', type: 'feature', value: 'auto', description: 'build virt-host-validate')
option('init_script', type: 'combo', choices: ['systemd', 'openrc', 'check', 'none'], value: 'check', description: 'Style of init script to install')
option('loader_nvram', type: 'string', value: '', description: 'Pass list of pairs of <loader>:<nvram> paths. Both pairs and list items are separated by a colon.')
option('login_shell', type: 'feature', value: 'auto', description: 'build virt-login-shell')
# dep:json_c dep:driver_network dep:libvirtd
option('nss', type: 'feature', value: 'auto', description: 'enable Name Service Switch plugin for resolving guest IP addresses')
# dep:numactl
option('numad', type: 'feature', value: 'auto', description: 'use numad to manage CPU placement dynamically')
option('nbdkit', type: 'feature', value: 'auto', description: 'Build nbdkit storage backend')
# dep:nbdkit
option('nbdkit_config_default', type: 'feature', value: 'auto', description: 'Whether to use nbdkit storage backend for network disks by default (configurable)')
option('pm_utils', type: 'feature', value: 'auto', description: 'use pm-utils for power management')
option('ssh_proxy', type: 'feature', value: 'auto', description: 'Build ssh-proxy for ssh over vsock')
option('sysctl_config', type: 'feature', value: 'auto', description: 'Whether to install sysctl configs')
option('tls_priority', type: 'string', value: 'auto', description: 'set the default TLS session priority string')

=== debian/changelog ===
libvirt (12.0.0-1) unstable; urgency=medium

  * [f56956f] New upstream version 12.0.0
  * [e391236] control: Bump Standards-Version to 4.7.3
    - No changes needed
  * [7497157] watch: Update to version 5 syntax
  * [e6faaf7] debconf: Add Chinese translation
    - Thanks to Yangfl (Closes: #1125068)

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 16 Jan 2026 01:12:18 +0100

=== debian/control ===
--- 
+++ 
@@ -58,7 +58,7 @@
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
 Homepage: https://libvirt.org/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 
 Package: libvirt-clients

=== debian/watch ===
Version: 5

Source: https://download.libvirt.org/
Matching-Pattern: ^libvirt-((?:[\d\.]+)(?:-rc\d)?)\.tar\.[gx]z$
Pgpmode: auto
Uversionmangle: s/-rc/~rc/
